Product Hunt launches search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-launches-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "crm",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-launches-search"
payload = {
"keyword": "crm",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'crm', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-launches-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_launches_search",
"keyword": "crm",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — launches search\n\n- **Query:** keyword=crm\n- **Results:** 2\n- **Proxy traffic:** 237.4 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "doplac-crm",
"name": "Doplac CRM",
"url": "https://www.producthunt.com/posts/doplac-crm",
"alias": "doplac-crm",
"launch_id": "426271",
"created_at": "2023-11-22T00:01:00-08:00",
"votes_count": null,
"comments_count": null,
"image": null,
"product": {
"id": "doplac-crm",
"name": "Doplac CRM",
"url": "https://www.producthunt.com/products/doplac-crm",
"alias": "doplac-crm",
"product_id": "561231",
"tagline": "Your CRM Partner",
"rating": 5,
"review_count": 7,
"post_count": null,
"image": "https://ph-files.imgix.net/604baef1-62aa-4544-88ba-cf142fecaf05.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
}
},
"items": [
{
"id": "doplac-crm",
"name": "Doplac CRM",
"url": "https://www.producthunt.com/posts/doplac-crm",
"alias": "doplac-crm",
"launch_id": "426271",
"created_at": "2023-11-22T00:01:00-08:00",
"votes_count": null,
"comments_count": null,
"image": null,
"product": {
"id": "doplac-crm",
"name": "Doplac CRM",
"url": "https://www.producthunt.com/products/doplac-crm",
"alias": "doplac-crm",
"product_id": "561231",
"tagline": "Your CRM Partner",
"rating": 5,
"review_count": 7,
"post_count": null,
"image": "https://ph-files.imgix.net/604baef1-62aa-4544-88ba-cf142fecaf05.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
}
},
{
"id": "chartmogul-crm",
"name": "ChartMogul CRM",
"url": "https://www.producthunt.com/posts/chartmogul-crm",
"alias": "chartmogul-crm",
"launch_id": "387373",
"created_at": "2023-04-04T00:42:10-07:00",
"votes_count": null,
"comments_count": null,
"image": null,
"product": {
"id": "chartmogul-crm",
"name": "ChartMogul CRM",
"url": "https://www.producthunt.com/products/chartmogul-crm",
"alias": "chartmogul-crm",
"product_id": "528330",
"tagline": "The first CRM tailor-made for B2B SaaS companies",
"rating": 5,
"review_count": 2,
"post_count": null,
"image": "https://ph-files.imgix.net/c1c1c7ac-ff6c-44ae-aed4-6eca5b44fcba.png?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
}
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 243121
},
"total_points": 2
}Startup & Funding Data
Product Hunt launches search
Search Product Hunt launches by keyword: name, date and the product behind each launch. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-launches-search
Product Hunt launches search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.